#!/usr/bin/env python3

import click


@click.group
def cli():
    pass


@cli.group("inventory")
def inventory():
    pass


@inventory.command("config")
def inventory_config():
    """Show the configured inventory plugins."""


@inventory.command("show")
def inventory_show():
    """Evaluate host inventory data & display that configuration."""


@cli.group("config")
def config():
    pass


@config.command("state")
def config_state():
    """Show the current configuration state from the last apply."""


@config.command("diff")
def config_diff():
    """Show changes from applying the new configuration."""


@config.command("apply")
def config_apply():
    """Apply changes from the new configuration."""


if __name__ == "__main__":
    cli()
